f-1

来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 27 行

TXT
27
字号
#!/bin/shtest=f-1if test "$VERBOSE" = yes; then  set -x  rm --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0trap '(exit $?); exit' 1 2 13 15test_failure=0mkdir -p $tmp || test_failure=1if test $test_failure = 1; then  echo 'failure in testing framework'  exit 1fifail=0rm -f $tmp/no-such-file || fail=1(exit $fail); exit

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?